EFOPEN(3)

NAME
efopen - open a stream, checking for errors

SYNOPSIS
FILE *
efopen(file, mode)
char *file;
char *mode;

DESCRIPTION
Efopen invokes fopen(3) and checks the result for errors. In the absence of errors, it returns the stream pointer; in the presence of errors, it prints a message and exits.

SEE ALSO
fopen(3), error(3)

DIAGNOSTICS
Exit status, in the event of error, is 1.

HISTORY
Local product, roughly following the one in Kernighan&Pike.